#include<stdio.h>
#include<math.h>
int main()
{
	long x[1000],j,i,n;
	int k,p;
	scanf("%d", &n);
	scanf("%d", &k);
	
	for(i=0;i<n;i++)
		scanf("%d", &x[i]);
	printf("%d\n", k);
	
	for(i=0;i<n;i++){
		p=0;
		for(j=i+1;j<n;j++)	
			if(x[i]==x[j]) p=p+1;
		if(p==k-1) printf("%d ", x[i]);
		}
	return 0;
	
}